### Signal

# WPEPlatform View::toplevel-state-changed

#### Declaration

    void
    toplevel_state_changed (
      WPEView* self,
      WPEToplevelState previous_state,
      gpointer user_data
    )

#### Description [src]

Emitted when `view`‘s toplevel state changes.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`previous_state`

  Type: `WPEToplevelState`

  A `WPEToplevelState`.